package org.studiorailgun.sim.config.space;

import java.util.List;

/**
 * Defines a region type
 */
public class RegionDefinitionFile {
    
    /**
     * The name of the region definition
     */
    String name;

    /**
     * The child regions which are  mandatory for this region type
     */
    List<String> childrenMandatory;

    /**
     * The child regions which are optional for this region type
     */
    List<String> childrenOptional;

    /**
     * If set to true, this will be a wild region that dynamically generates locations as it is explored
     */
    Boolean isWilderness;

    /**
     * The location types that can be discovered in a given wilderness region
     */
    List<String> discoverables;

    /**
     * The region files that this file depends on
     */
    List<String> dependencies;

    public String getName() {
        return name;
    }

    public List<String> getChildrenMandatory() {
        return childrenMandatory;
    }

    public List<String> getChildrenOptional() {
        return childrenOptional;
    }

    public Boolean isWilderness(){
        return isWilderness;
    }

    public List<String> getDiscoverables() {
        return discoverables;
    }

    public List<String> getDependencies() {
        return dependencies;
    }

    

}
